Ensure infra/test repo is cloned to WORKSPACE 33/733/1
authorFatih Degirmenci <fdegir@gmail.com>
Mon, 25 Mar 2019 08:53:32 +0000 (09:53 +0100)
committerFatih Degirmenci <fdegir@gmail.com>
Mon, 25 Mar 2019 08:53:32 +0000 (09:53 +0100)
Change-Id: I042ccceee6f1d66f65ede057acbd41908e92b0cc

jjb/cloud-infra/cloud-infra-verify-engine.yaml
jjb/cloud-infra/prepare-for-test.sh [new file with mode: 0644]

index c3b2a5543f9258a2d2202e01b548a36a6eb60766..5dced576af355a39f5ce3427240e320eaa019857 100644 (file)
           name: DIB_OS_ELEMENT
           default: 'ubuntu-minimal'
           description: 'DIB OS Element to use for building the deployment image to provision target nodes with. Overriden by upstream job.'
+      - string:
+          name: TEST_REPO_URL
+          default: 'https://gerrit.nordix.org/infra/test.git'
+          description: 'URL to Nordix Cloud Infra test repository'
       - string:
           name: CLEANUP
           default: 'false'
 - builder:
     name: 'cloud-infra-verify-test-macro'
     builders:
+      - shell:
+          !include-raw: ./prepare-for-test.sh
       - shell:
           !include-raw: ./cloud-infra-test.sh
 
diff --git a/jjb/cloud-infra/prepare-for-test.sh b/jjb/cloud-infra/prepare-for-test.sh
new file mode 100644 (file)
index 0000000..4e60a8a
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+echo "Info: Cloning infra/test repository"
+/bin/rm -rf $WORKSPACE/*
+git clone -q $TEST_REPO_URL $WORKSPACE
+
+# vim: set ts=2 sw=2 expandtab: